package com.steering.pss.qcm;

import CoreFS.SC01.CoreConstantData;
import com.steering.comm.db.DBCommon;
import com.steering.comm.tools.SqlBuilder;

import java.util.ArrayList;

public class FmisBasePline  extends DBCommon {

    public void syncData(String id){
        ArrayList<String> sqllist = new ArrayList<String>();

        SqlBuilder delete = new SqlBuilder("fmisBasePline.Delete");
        delete.Fill(new String[]{ id });
        sqllist.add(delete.toString());

        SqlBuilder insert = new SqlBuilder("fmisBasePline.Insert");
        insert.Fill(new String[]{ id });
        sqllist.add(insert.toString());

        this.getDao(CoreConstantData.sysbeanstr).ExcuteTransction(sqllist);
    }
}
